com.sun.grid.jgdi.event

## Class ConnectionClosedEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ConnectionClosedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ConnectionClosedEvent
      extends Event
      implements java.io.Serializable

  This event is a pseudo event. JGDIProxy generates an instance of this class if the jmx connection has been closed
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionClosedEvent(long timestamp, int eventId)` Creates a new instance of ShutdownEvent

  - ### Method Summary

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionClosedEvent

          public ConnectionClosedEvent(long timestamp,
                                       int eventId)

      Creates a new instance of ShutdownEvent
      Parameters:
        `timestamp` - timestamp of the event
        `eventId` - id of the event

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.